<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron">
  <pattern>
    <rule context="isbn" role="error">
      <assert test="contains(., '-')">ISBNs sollen mit Bindestrich geschrieben werden!</assert>
      <report test="string-length(.) != 17" role="info">Es sollen ISBN-13 verwendet werden</report>
    </rule>
  </pattern>
  <pattern>
    <rule context="text()" role="warn">
      <report test="starts-with(., ' ')">Text soll nicht mit Leerzeichen beginnen.</report>
    </rule>
  </pattern>
</schema>
