<?xml version="1.0" encoding="UTF-8"?>
<schema
  xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  queryBinding="xslt2"
  >
  
  <ns prefix="my" uri="test"/>
  
  <xsl:function name="my:literal-autor" as="xs:string?">
    <xsl:param name="vorname" as="xs:string?"/>
    <xsl:param name="nachname" as="xs:string?"/>
    <xsl:sequence select="concat($nachname, ', ', $vorname)"/>
  </xsl:function>
  
  <pattern id="p3">
    <rule context="autor">
      <assert test="my:literal-autor(//person[@xml:id eq current()/@ref]/vorname, //person[@xml:id eq current()/@ref]/nachname) eq .">[p3] autor muss eine gültige Kombination aus person/vorname und person/nachname sein.</assert>
    </rule>
  </pattern>
  
</schema>